0

i tried to install mcrypt extension for centos 7 (64bit) I'm going nuts, and can't seem to fix the problem, can anybody guide me what's wrong with this or tell me the specific command to fix the problem?

[root@hawk-enive-ee ~]# sudo yum install php-mcrypt
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: ftp.hosteurope.de
 * epel: mirror.de.leaseweb.net
 * extras: ftp.plusline.de
 * updates: mirror.de.leaseweb.net
Resolving Dependencies
--> Running transaction check
---> Package php-mcrypt.x86_64 0:5.4.16-5.el7 will be installed
--> Processing Dependency: php(zend-abi) = 20100525-64 for package: php-mcrypt-5.4.16-5.el7.x86_64
--> Processing Dependency: php(api) = 20100412-64 for package: php-mcrypt-5.4.16-5.el7.x86_64
--> Running transaction check
---> Package php-common.x86_64 0:5.4.16-36.3.el7_2 will be installed
--> Processing Conflict: php70w-common-7.0.12-1.w7.x86_64 conflicts php-common < 7.0
--> Finished Dependency Resolution
Error: php70w-common conflicts with php-common-5.4.16-36.3.el7_2.x86_64
 You could try using --skip-broken to work around the problem
1

Your base PHP install appears to be from from Webtatic. The corresponding mcrypt package is called php70w-mcrypt:

yum install php70w-mcrypt
| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.